--- old/usr/src/cmd/hwdata/pci.ids	Mon Oct  5 16:30:07 2015
+++ new/usr/src/cmd/hwdata/pci.ids	Mon Oct  5 16:30:07 2015
@@ -23578,7 +24101,7 @@
 		1028 01f9  Dell Latitude D630
 		1028 01ff  Dell Precision M4300
 		1028 0256  Studio 1735
-		103c 2802  HP Compaq dc7700p
+		103c 2802  Compaq dc7700p
 		103c 30c0  Compaq 6710b
 		103c 30c1  Compaq 6910p
 		103c 30cc  Pavilion dv6700
@@ -23634,6 +24157,7 @@
 		1028 0237  PowerEdge T610 SATA IDE Controller
 		1462 7360  G33/P35 Neo
 	2922  82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA Controller [AHCI mode]
+		1043 8277  P5K PRO Motherboard
 		1af4 1100  QEMU Virtual Machine
 		8086 5044  Desktop Board DP35DP
 	2923  82801IB (ICH9) 4 port SATA Controller [AHCI mode]
@@ -24214,165 +24738,165 @@
 	2e94  4 Series Chipset HECI Controller
 	2e95  4 Series Chipset HECI Controller
 	2e96  4 Series Chipset PT IDER Controller
-	2f00  Xeon E5 v3/Core i7 DMI2
-	2f01  Xeon E5 v3/Core i7 PCI Express Root Port 0
-	2f02  Xeon E5 v3/Core i7 PCI Express Root Port 1
-	2f03  Xeon E5 v3/Core i7 PCI Express Root Port 1
-	2f04  Xeon E5 v3/Core i7 PCI Express Root Port 2
-	2f05  Xeon E5 v3/Core i7 PCI Express Root Port 2
-	2f06  Xeon E5 v3/Core i7 PCI Express Root Port 2
-	2f07  Xeon E5 v3/Core i7 PCI Express Root Port 2
-	2f08  Xeon E5 v3/Core i7 PCI Express Root Port 3
-	2f09  Xeon E5 v3/Core i7 PCI Express Root Port 3
-	2f0a  Xeon E5 v3/Core i7 PCI Express Root Port 3
-	2f0b  Xeon E5 v3/Core i7 PCI Express Root Port 3
-	2f10  Xeon E5 v3/Core i7 IIO Debug
-	2f11  Xeon E5 v3/Core i7 IIO Debug
-	2f12  Xeon E5 v3/Core i7 IIO Debug
-	2f13  Xeon E5 v3/Core i7 IIO Debug
-	2f14  Xeon E5 v3/Core i7 IIO Debug
-	2f15  Xeon E5 v3/Core i7 IIO Debug
-	2f16  Xeon E5 v3/Core i7 IIO Debug
-	2f17  Xeon E5 v3/Core i7 IIO Debug
-	2f18  Xeon E5 v3/Core i7 IIO Debug
-	2f19  Xeon E5 v3/Core i7 IIO Debug
-	2f1a  Xeon E5 v3/Core i7 IIO Debug
-	2f1b  Xeon E5 v3/Core i7 IIO Debug
-	2f1c  Xeon E5 v3/Core i7 IIO Debug
-	2f1d  Xeon E5 v3/Core i7 PCIe Ring Interface
-	2f1e  Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers
-	2f1f  Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers
-	2f20  Xeon E5 v3/Core i7 DMA Channel 0
-	2f21  Xeon E5 v3/Core i7 DMA Channel 1
-	2f22  Xeon E5 v3/Core i7 DMA Channel 2
-	2f23  Xeon E5 v3/Core i7 DMA Channel 3
-	2f24  Xeon E5 v3/Core i7 DMA Channel 4
-	2f25  Xeon E5 v3/Core i7 DMA Channel 5
-	2f26  Xeon E5 v3/Core i7 DMA Channel 6
-	2f27  Xeon E5 v3/Core i7 DMA Channel 7
-	2f28  Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management
-	2f29  Xeon E5 v3/Core i7 Hot Plug
-	2f2a  Xeon E5 v3/Core i7 RAS, Control Status and Global Errors
-	2f2c  Xeon E5 v3/Core i7 I/O APIC
-	2f2e  Xeon E5 v3/Core i7 RAID 5/6
-	2f2f  Xeon E5 v3/Core i7 RAID 5/6
-	2f30  Xeon E5 v3/Core i7 Home Agent 0
-	2f32  Xeon E5 v3/Core i7 QPI Link 0
-	2f33  Xeon E5 v3/Core i7 QPI Link 1
-	2f34  Xeon E5 v3/Core i7 PCIe Ring Interface
-	2f36  Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring
-	2f37  Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring
-	2f38  Xeon E5 v3/Core i7 Home Agent 1
-	2f39  Xeon E5 v3/Core i7 I/O Performance Monitoring
-	2f3a  Xeon E5 v3/Core i7 QPI Link 2
-	2f3e  Xeon E5 v3/Core i7 R3 QPI Link 2 Monitoring
-	2f3f  Xeon E5 v3/Core i7 R3 QPI Link 2 Monitoring
-	2f40  Xeon E5 v3/Core i7 QPI Link 2
-	2f41  Xeon E5 v3/Core i7 R3 QPI Link 2 Monitoring
-	2f43  Xeon E5 v3/Core i7 QPI Link 2
-	2f45  Xeon E5 v3/Core i7 QPI Link 2 Debug
-	2f46  Xeon E5 v3/Core i7 QPI Link 2 Debug
-	2f47  Xeon E5 v3/Core i7 QPI Link 2 Debug
-	2f60  Xeon E5 v3/Core i7 Home Agent 1
-	2f68  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers
-	2f6a  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder
-	2f6b  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder
-	2f6c  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder
-	2f6d  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder
-	2f6e  Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast
-	2f6f  Xeon E5 v3/Core i7 DDRIO Global Broadcast
-	2f70  Xeon E5 v3/Core i7 Home Agent 0 Debug
-	2f71  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers
-	2f76  Xeon E5 v3/Core i7 E3 QPI Link Debug
-	2f78  Xeon E5 v3/Core i7 Home Agent 1 Debug
-	2f79  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers
-	2f7d  Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers
-	2f7e  Xeon E5 v3/Core i7 E3 QPI Link Debug
-	2f80  Xeon E5 v3/Core i7 QPI Link 0
-	2f81  Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring
-	2f83  Xeon E5 v3/Core i7 QPI Link 0
-	2f85  Xeon E5 v3/Core i7 QPI Link 0 Debug
-	2f86  Xeon E5 v3/Core i7 QPI Link 0 Debug
-	2f87  Xeon E5 v3/Core i7 QPI Link 0 Debug
-	2f88  Xeon E5 v3/Core i7 VCU
-	2f8a  Xeon E5 v3/Core i7 VCU
-	2f90  Xeon E5 v3/Core i7 QPI Link 1
-	2f93  Xeon E5 v3/Core i7 QPI Link 1
-	2f95  Xeon E5 v3/Core i7 QPI Link 1 Debug
-	2f96  Xeon E5 v3/Core i7 QPI Link 1 Debug
-	2f98  Xeon E5 v3/Core i7 Power Control Unit
-	2f99  Xeon E5 v3/Core i7 Power Control Unit
-	2f9a  Xeon E5 v3/Core i7 Power Control Unit
-	2f9c  Xeon E5 v3/Core i7 Power Control Unit
-	2fa0  Xeon E5 v3/Core i7 Home Agent 0
-	2fa8  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers
-	2faa  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder
-	2fab  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder
-	2fac  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder
-	2fad  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder
-	2fae  Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast
-	2faf  Xeon E5 v3/Core i7 DDRIO Global Broadcast
-	2fb0  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control
-	2fb1  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control
-	2fb2  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers
-	2fb3  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers
-	2fb4  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control
-	2fb5  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control
-	2fb6  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers
-	2fb7  Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers
-	2fb8  Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3
-	2fb9  Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3
-	2fba  Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3
-	2fbb  Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3
-	2fbc  Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1
-	2fbd  Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1
-	2fbe  Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1
-	2fbf  Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1
-	2fc0  Xeon E5 v3/Core i7 Power Control Unit
-	2fc1  Xeon E5 v3/Core i7 Power Control Unit
-	2fc2  Xeon E5 v3/Core i7 Power Control Unit
-	2fc3  Xeon E5 v3/Core i7 Power Control Unit
-	2fc4  Xeon E5 v3/Core i7 Power Control Unit
-	2fc5  Xeon E5 v3/Core i7 Power Control Unit
-	2fd0  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control
-	2fd1  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control
-	2fd2  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers
-	2fd3  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers
-	2fd4  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 2 Thermal Control
-	2fd5  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 3 Thermal Control
-	2fd6  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 2 ERROR Registers
-	2fd7  Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 3 ERROR Registers
-	2fe0  Xeon E5 v3/Core i7 Unicast Registers
-	2fe1  Xeon E5 v3/Core i7 Unicast Registers
-	2fe2  Xeon E5 v3/Core i7 Unicast Registers
-	2fe3  Xeon E5 v3/Core i7 Unicast Registers
-	2fe4  Xeon E5 v3/Core i7 Unicast Registers
-	2fe5  Xeon E5 v3/Core i7 Unicast Registers
-	2fe6  Xeon E5 v3/Core i7 Unicast Registers
-	2fe7  Xeon E5 v3/Core i7 Unicast Registers
-	2fe8  Xeon E5 v3/Core i7 Unicast Registers
-	2fe9  Xeon E5 v3/Core i7 Unicast Registers
-	2fea  Xeon E5 v3/Core i7 Unicast Registers
-	2feb  Xeon E5 v3/Core i7 Unicast Registers
-	2fec  Xeon E5 v3/Core i7 Unicast Registers
-	2fed  Xeon E5 v3/Core i7 Unicast Registers
-	2fee  Xeon E5 v3/Core i7 Unicast Registers
-	2fef  Xeon E5 v3/Core i7 Unicast Registers
-	2ff0  Xeon E5 v3/Core i7 Unicast Registers
-	2ff1  Xeon E5 v3/Core i7 Unicast Registers
-	2ff2  Xeon E5 v3/Core i7 Unicast Registers
-	2ff3  Xeon E5 v3/Core i7 Unicast Registers
-	2ff4  Xeon E5 v3/Core i7 Unicast Registers
-	2ff5  Xeon E5 v3/Core i7 Unicast Registers
-	2ff6  Xeon E5 v3/Core i7 Unicast Registers
-	2ff7  Xeon E5 v3/Core i7 Unicast Registers
-	2ff8  Xeon E5 v3/Core i7 Buffered Ring Agent
-	2ff9  Xeon E5 v3/Core i7 Buffered Ring Agent
-	2ffa  Xeon E5 v3/Core i7 Buffered Ring Agent
-	2ffb  Xeon E5 v3/Core i7 Buffered Ring Agent
-	2ffc  Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers
-	2ffd  Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers
-	2ffe  Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers
+	2f00  Xeon E7 v3/Xeon E5 v3/Core i7 DMI2
+	2f01  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 0
+	2f02  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1
+	2f03  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1
+	2f04  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2
+	2f05  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2
+	2f06  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2
+	2f07  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2
+	2f08  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3
+	2f09  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3
+	2f0a  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3
+	2f0b  Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3
+	2f10  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f11  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f12  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f13  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f14  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f15  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f16  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f17  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f18  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f19  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f1a  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f1b  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f1c  Xeon E7 v3/Xeon E5 v3/Core i7 IIO Debug
+	2f1d  Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface
+	2f1e  Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers
+	2f1f  Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers
+	2f20  Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0
+	2f21  Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1
+	2f22  Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2
+	2f23  Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3
+	2f24  Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4
+	2f25  Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5
+	2f26  Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6
+	2f27  Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7
+	2f28  Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management
+	2f29  Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug
+	2f2a  Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors
+	2f2c  Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC
+	2f2e  Xeon E7 v3/Xeon E5 v3/Core i7 RAID 5/6
+	2f2f  Xeon E7 v3/Xeon E5 v3/Core i7 RAID 5/6
+	2f30  Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0
+	2f32  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0
+	2f33  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1
+	2f34  Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface
+	2f36  Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring
+	2f37  Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring
+	2f38  Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1
+	2f39  Xeon E7 v3/Xeon E5 v3/Core i7 I/O Performance Monitoring
+	2f3a  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 2
+	2f3e  Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 2 Monitoring
+	2f3f  Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 2 Monitoring
+	2f40  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 2
+	2f41  Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 2 Monitoring
+	2f43  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 2
+	2f45  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 2 Debug
+	2f46  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 2 Debug
+	2f47  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 2 Debug
+	2f60  Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1
+	2f68  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers
+	2f6a  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder
+	2f6b  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder
+	2f6c  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder
+	2f6d  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder
+	2f6e  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast
+	2f6f  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast
+	2f70  Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug
+	2f71  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers
+	2f76  Xeon E7 v3/Xeon E5 v3/Core i7 E3 QPI Link Debug
+	2f78  Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug
+	2f79  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers
+	2f7d  Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers
+	2f7e  Xeon E7 v3/Xeon E5 v3/Core i7 E3 QPI Link Debug
+	2f80  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0
+	2f81  Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring
+	2f83  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0
+	2f85  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0 Debug
+	2f86  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0 Debug
+	2f87  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0 Debug
+	2f88  Xeon E7 v3/Xeon E5 v3/Core i7 VCU
+	2f8a  Xeon E7 v3/Xeon E5 v3/Core i7 VCU
+	2f90  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1
+	2f93  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1
+	2f95  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1 Debug
+	2f96  Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1 Debug
+	2f98  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2f99  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2f9a  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2f9c  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2fa0  Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0
+	2fa8  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers
+	2faa  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder
+	2fab  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder
+	2fac  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder
+	2fad  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder
+	2fae  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast
+	2faf  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast
+	2fb0  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control
+	2fb1  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control
+	2fb2  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers
+	2fb3  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers
+	2fb4  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control
+	2fb5  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control
+	2fb6  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers
+	2fb7  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers
+	2fb8  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3
+	2fb9  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3
+	2fba  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3
+	2fbb  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3
+	2fbc  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1
+	2fbd  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1
+	2fbe  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1
+	2fbf  Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1
+	2fc0  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2fc1  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2fc2  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2fc3  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2fc4  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2fc5  Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit
+	2fd0  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control
+	2fd1  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control
+	2fd2  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers
+	2fd3  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers
+	2fd4  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 2 Thermal Control
+	2fd5  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 3 Thermal Control
+	2fd6  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 2 ERROR Registers
+	2fd7  Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 3 ERROR Registers
+	2fe0  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fe1  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fe2  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fe3  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fe4  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fe5  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fe6  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fe7  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fe8  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fe9  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fea  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2feb  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fec  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fed  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fee  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2fef  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2ff0  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2ff1  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2ff2  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2ff3  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2ff4  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2ff5  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2ff6  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2ff7  Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers
+	2ff8  Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent
+	2ff9  Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent
+	2ffa  Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent
+	2ffb  Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent
+	2ffc  Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers
+	2ffd  Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers
+	2ffe  Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers
 	3165  Wireless 3165
 # Stone Peak 1x1
 		8086 4010  Dual Band Wireless AC 3165
@@ -24482,6 +25006,7 @@
 	3578  82830M/MG/MP Host Bridge
 	3580  82852/82855 GM/GME/PM/GMV Processor to I/O Controller
 		1014 055c  ThinkPad R50e
+		1025 0064  Extensa 3000 series laptop
 		1028 0139  Latitude D400
 		1028 014f  Latitude X300
 		1028 0152  Latitude D500
@@ -24514,6 +25039,7 @@
 		e4bf 0cd2  CD2-BEBOP
 	3584  82852/82855 GM/GME/PM/GMV Processor to I/O Controller
 		1014 055d  ThinkPad R50e
+		1025 0064  Extensa 3000 series laptop
 		1028 0139  Latitude D400
 		1028 014f  Latitude X300
 		1028 0152  Latitude D500
@@ -24528,6 +25054,7 @@
 		4c53 10e0  PSL09 PrPMC
 	3585  82852/82855 GM/GME/PM/GMV Processor to I/O Controller
 		1014 055e  ThinkPad R50e
+		1025 0064  Extensa 3000 series laptop
 		1028 0139  Latitude D400
 		1028 014f  Latitude X300
 		1028 0152  Latitude D500
@@ -24770,34 +25297,35 @@
 	3a7c  82801JD/DO (ICH10 Family) Gigabit Ethernet Controller
 	3b00  5 Series/3400 Series Chipset LPC Interface Controller
 	3b01  Mobile 5 Series Chipset LPC Interface Controller
-	3b02  5 Series Chipset LPC Interface Controller
-	3b03  Mobile 5 Series Chipset LPC Interface Controller
+	3b02  P55 Chipset LPC Interface Controller
+	3b03  PM55 Chipset LPC Interface Controller
 	3b04  5 Series Chipset LPC Interface Controller
 	3b05  Mobile 5 Series Chipset LPC Interface Controller
-	3b06  5 Series Chipset LPC Interface Controller
-	3b07  Mobile 5 Series Chipset LPC Interface Controller
+	3b06  H55 Chipset LPC Interface Controller
+	3b07  QM57 Chipset LPC Interface Controller
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		e4bf 50c1  PC1-GROOVE
-	3b08  5 Series Chipset LPC Interface Controller
-	3b09  Mobile 5 Series Chipset LPC Interface Controller
+	3b08  H57 Chipset LPC Interface Controller
+	3b09  HM55 Chipset LPC Interface Controller
 		1025 0347  Aspire 7740G
 		144d c06a  R730 Laptop
 		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
-	3b0a  5 Series Chipset LPC Interface Controller
+	3b0a  Q57 Chipset LPC Interface Controller
 		1028 02da  OptiPlex 980
 		15d9 060d  C7SIM-Q Motherboard
-	3b0b  Mobile 5 Series Chipset LPC Interface Controller
+	3b0b  HM57 Chipset LPC Interface Controller
 	3b0c  5 Series Chipset LPC Interface Controller
 	3b0d  5 Series/3400 Series Chipset LPC Interface Controller
 	3b0e  5 Series/3400 Series Chipset LPC Interface Controller
-	3b0f  5 Series/3400 Series Chipset LPC Interface Controller
+	3b0f  QS57 Chipset LPC Interface Controller
 	3b10  5 Series/3400 Series Chipset LPC Interface Controller
 	3b11  5 Series/3400 Series Chipset LPC Interface Controller
 	3b12  3400 Series Chipset LPC Interface Controller
 	3b13  5 Series/3400 Series Chipset LPC Interface Controller
-	3b14  3400 Series Chipset LPC Interface Controller
+	3b14  3420 Chipset LPC Interface Controller
 	3b15  5 Series/3400 Series Chipset LPC Interface Controller
-	3b16  3400 Series Chipset LPC Interface Controller
+	3b16  3450 Chipset LPC Interface Controller
 	3b17  5 Series/3400 Series Chipset LPC Interface Controller
 	3b18  5 Series/3400 Series Chipset LPC Interface Controller
 	3b19  5 Series/3400 Series Chipset LPC Interface Controller
@@ -24814,7 +25342,7 @@
 		15d9 060d  C7SIM-Q Motherboard
 	3b23  5 Series/3400 Series Chipset 4 port SATA AHCI Controller
 	3b25  5 Series/3400 Series Chipset SATA RAID Controller
-		103c 3118  HP Smart Array B110i SATA RAID Controller
+		103c 3118  Smart Array B110i SATA RAID Controller
 	3b26  5 Series/3400 Series Chipset 2 port SATA IDE Controller
 	3b28  5 Series/3400 Series Chipset 4 port SATA IDE Controller
 		144d c06a  R730 Laptop
@@ -24831,11 +25359,13 @@
 	3b2e  5 Series/3400 Series Chipset 4 port SATA IDE Controller
 		e4bf 50c1  PC1-GROOVE
 	3b2f  5 Series/3400 Series Chipset 6 port SATA AHCI Controller
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		e4bf 50c1  PC1-GROOVE
 	3b30  5 Series/3400 Series Chipset SMBus Controller
 		1025 0347  Aspire 7740G
 		1028 02da  OptiPlex 980
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		144d c06a  R730 Laptop
 		15d9 060d  C7SIM-Q Motherboard
@@ -24843,11 +25373,13 @@
 		e4bf 50c1  PC1-GROOVE
 	3b32  5 Series/3400 Series Chipset Thermal Subsystem
 		1025 0347  Aspire 7740G
+		1028 040a  Latitude E6410
 		144d c06a  R730 Laptop
 		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b34  5 Series/3400 Series Chipset USB2 Enhanced Host Controller
 		1025 0347  Aspire 7740G
 		1028 02da  OptiPlex 980
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		144d c06a  R730 Laptop
 		15d9 060d  C7SIM-Q Motherboard
@@ -24862,6 +25394,7 @@
 	3b3c  5 Series/3400 Series Chipset USB2 Enhanced Host Controller
 		1025 0347  Aspire 7740G
 		1028 02da  OptiPlex 980
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		144d c06a  R730 Laptop
 		15d9 060d  C7SIM-Q Motherboard
@@ -24873,19 +25406,23 @@
 	3b41  5 Series/3400 Series Chipset LAN Controller
 	3b42  5 Series/3400 Series Chipset PCI Express Root Port 1
 		1028 02da  OptiPlex 980
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		144d c06a  R730 Laptop
 		15d9 060d  C7SIM-Q Motherboard
 		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b44  5 Series/3400 Series Chipset PCI Express Root Port 2
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		15d9 060d  C7SIM-Q Motherboard
 		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b46  5 Series/3400 Series Chipset PCI Express Root Port 3
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		144d c06a  R730 Laptop
 		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b48  5 Series/3400 Series Chipset PCI Express Root Port 4
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		144d c06a  R730 Laptop
 	3b4a  5 Series/3400 Series Chipset PCI Express Root Port 5
@@ -24898,6 +25435,7 @@
 	3b56  5 Series/3400 Series Chipset High Definition Audio
 		1025 0347  Aspire 7740G
 		1028 02da  OptiPlex 980
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		144d c06a  R730 Laptop
 		15d9 060d  C7SIM-Q Motherboard
@@ -25024,7 +25562,7 @@
 	4220  PRO/Wireless 2200BG [Calexico2] Network Connection
 		103c 0934  Compaq nw8240/nx8220
 		103c 12f6  nc6120/nx8220/nw8240
-		8086 2701  WM3B2300BG Mini-PCI Card
+		8086 2701  WM3B2200BG Mini-PCI Card
 		8086 2712  IBM ThinkPad R50e
 		8086 2721  Dell B130 laptop integrated WLAN
 		8086 2722  Dell Latitude D600
